Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::StringSeq Class Reference

`#include <StringSeqC.h>`

Inheritance diagram for CORBA::StringSeq:

[legend]
Collaboration diagram for CORBA::StringSeq:

[legend]
List of all members.

## Public Types

typedef StringSeq_var | _var_type

## Public Methods

| StringSeq (void)
| StringSeq (CORBA::ULong max)
| StringSeq (CORBA::ULong max, CORBA::ULong length, char **buffer, CORBA::Boolean release=0)
| StringSeq (const StringSeq &)
| ~StringSeq (void)

## Static Public Methods

void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef StringSeq_var CORBA::StringSeq::_var_type

## Constructor & Destructor Documentation

CORBA::StringSeq::StringSeq | ( | void |  | ) |

CORBA::StringSeq::StringSeq | ( | CORBA::ULong | max | ) |

CORBA::StringSeq::StringSeq | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | char ** | buffer,
|  | CORBA::Boolean | release = 0
| ) |

CORBA::StringSeq::StringSeq | ( | const StringSeq & |  | ) |

CORBA::StringSeq::~StringSeq | ( | void |  | ) |

## Member Function Documentation

void CORBA::StringSeq::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from TAO_Unbounded_String_Sequence.

The documentation for this class was generated from the following files:

- StringSeqC.h
- StringSeqC.cpp